<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A mock MediaPlayer for unit tests.  
 <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_mock_media_player_8h_source.html">MockMediaPlayer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_inherit__map">
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_test_media_player.html" title="alexaClientSDK::capability\lAgents::alerts::renderer\l::test::TestMediaPlayer" alt="" coords="759,40,936,92"/>
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html" title="alexaClientSDK::avsCommon\l::utils::mediaPlayer::test\l::MockMediaPlayerHelper" alt="" coords="269,5,466,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html" title="alexaClientSDK::avsCommon\l::utils::mediaPlayer::MediaPlayer\lInterface" alt="" coords="5,5,221,57"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html" title="alexaClientSDK::avsCommon\l::utils::RequiresShutdown" alt="" coords="269,81,466,120"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html" title="alexaClientSDK::avsCommon\l::utils::mediaPlayer::test\l::MockMediaPlayerHelper" alt="" coords="269,5,466,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html" title="alexaClientSDK::avsCommon\l::utils::mediaPlayer::MediaPlayer\lInterface" alt="" coords="5,5,221,57"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html" title="alexaClientSDK::avsCommon\l::utils::RequiresShutdown" alt="" coords="269,81,466,120"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a49cb343e4d9446a335961bc4903a9269"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a49cb343e4d9446a335961bc4903a9269">observer</a> = <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface</a></td></tr>
<tr class="separator:a49cb343e4d9446a335961bc4903a9269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td></tr>
<tr class="memitem:a97b83ae4aaeabff7bb8a796a8a018623 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> = uint64_t</td></tr>
<tr class="memdesc:a97b83ae4aaeabff7bb8a796a8a018623 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">A type that identifies which source is currently being operated on.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">More...</a><br /></td></tr>
<tr class="separator:a97b83ae4aaeabff7bb8a796a8a018623 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abc4e4925fec3df76f56b00f83c666b7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#abc4e4925fec3df76f56b00f83c666b7a">MockMediaPlayer</a> ()</td></tr>
<tr class="separator:abc4e4925fec3df76f56b00f83c666b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1548112fdea0460f63361befa53c8e46"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a1548112fdea0460f63361befa53c8e46">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a2bd648268d8afaf23312dad7e21238ad">play</a>, bool(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>))</td></tr>
<tr class="separator:a1548112fdea0460f63361befa53c8e46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fc89952e729d0aecbfd31dcaed85236"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a0fc89952e729d0aecbfd31dcaed85236">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a7352a3ad1c63e92bf19455f3abdd0e76">pause</a>, bool(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>))</td></tr>
<tr class="separator:a0fc89952e729d0aecbfd31dcaed85236"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc92436eb56d1e560220676e1b958a91"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#abc92436eb56d1e560220676e1b958a91">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a1bddbef99754845f428924d7b8883eb8">resume</a>, bool(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>))</td></tr>
<tr class="separator:abc92436eb56d1e560220676e1b958a91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6632c89647978d07e9ea8834bffd0484"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a6632c89647978d07e9ea8834bffd0484">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a422503c5051d68fdab1485b74c0c33a1">stop</a>, bool(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>))</td></tr>
<tr class="separator:a6632c89647978d07e9ea8834bffd0484"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2843af4977f67bd2bbd5d4a885d81aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#ad2843af4977f67bd2bbd5d4a885d81aa">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a9f1e46a268eebc25fb35f733752f3a72">getOffset</a>, std::chrono::milliseconds(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>))</td></tr>
<tr class="separator:ad2843af4977f67bd2bbd5d4a885d81aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a580ffceda24466fa3cbdf2b7572fd1ef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a580ffceda24466fa3cbdf2b7572fd1ef">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a77f356052a19748eb924ee39059dccf1">getNumBytesBuffered</a>, uint64_t())</td></tr>
<tr class="separator:a580ffceda24466fa3cbdf2b7572fd1ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f08bceb886954a4f2b1ded5dee68ee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a77f08bceb886954a4f2b1ded5dee68ee">MOCK_METHOD2</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a0883c5be69788395ab9aa043c7785778">attachmentSetSource</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>(std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt; attachmentReader, const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> *audioFormat))</td></tr>
<tr class="separator:a77f08bceb886954a4f2b1ded5dee68ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5823968a93b1f9dd7b98f48ceb993bea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a5823968a93b1f9dd7b98f48ceb993bea">MOCK_METHOD2</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a808f75bba24a6d1e2c2e4c85f9ff9cce">streamSetSource</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>(std::shared_ptr&lt; std::istream &gt; stream, bool repeat))</td></tr>
<tr class="separator:a5823968a93b1f9dd7b98f48ceb993bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a336dd3038b9992528401d66bbc8bccbb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a336dd3038b9992528401d66bbc8bccbb">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a6506368abc06f8baf918b8759c8f07b4">urlSetSource</a>, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>(const std::string &amp;url))</td></tr>
<tr class="separator:a336dd3038b9992528401d66bbc8bccbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf4f99e55720abdf0421b14b629c1003"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#acf4f99e55720abdf0421b14b629c1003">mockSetSource</a> ()</td></tr>
<tr class="separator:acf4f99e55720abdf0421b14b629c1003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8150135688f5f337b0f6418d96595a09"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a8150135688f5f337b0f6418d96595a09">mockPlay</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> sourceId)</td></tr>
<tr class="separator:a8150135688f5f337b0f6418d96595a09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad682f885f38461578dc7a1c409926fd1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#ad682f885f38461578dc7a1c409926fd1">mockPause</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> sourceId)</td></tr>
<tr class="separator:ad682f885f38461578dc7a1c409926fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ba5b7d740fea4f3e85b26efb191d401"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a2ba5b7d740fea4f3e85b26efb191d401">mockResume</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> sourceId)</td></tr>
<tr class="separator:a2ba5b7d740fea4f3e85b26efb191d401"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8801ab7e8733aac78f597949a8c65c09"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a8801ab7e8733aac78f597949a8c65c09">mockStop</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> sourceId)</td></tr>
<tr class="separator:a8801ab7e8733aac78f597949a8c65c09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4ca7b6b514acb1e5118e585b72bb87"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a8f4ca7b6b514acb1e5118e585b72bb87">mockFinished</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> sourceId)</td></tr>
<tr class="separator:a8f4ca7b6b514acb1e5118e585b72bb87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3300c1c4ef923a06a4feca082e63da72"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a3300c1c4ef923a06a4feca082e63da72">mockError</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> sourceId)</td></tr>
<tr class="separator:a3300c1c4ef923a06a4feca082e63da72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad46159e8996739708d52c186cb12a202"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#ad46159e8996739708d52c186cb12a202">mockSetOffset</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> sourceId, std::chrono::milliseconds offset)</td></tr>
<tr class="separator:ad46159e8996739708d52c186cb12a202"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f66b968d775a7c65e35422ba3413069"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a7f66b968d775a7c65e35422ba3413069">mockGetOffset</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> id)</td></tr>
<tr class="separator:a7f66b968d775a7c65e35422ba3413069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1c6c12f07f7fcb6611a83b95aa97638"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#aa1c6c12f07f7fcb6611a83b95aa97638">waitUntilNextSetSource</a> (const std::chrono::milliseconds timeout=std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>))</td></tr>
<tr class="separator:aa1c6c12f07f7fcb6611a83b95aa97638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49cd1b220e711fcccea670d680fedfab"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a49cd1b220e711fcccea670d680fedfab">waitUntilPlaybackStarted</a> (const std::chrono::milliseconds timeout=std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>))</td></tr>
<tr class="separator:a49cd1b220e711fcccea670d680fedfab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee072f4f1993c7229ede78fd5e098623"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#aee072f4f1993c7229ede78fd5e098623">waitUntilPlaybackPaused</a> (const std::chrono::milliseconds timeout=std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>))</td></tr>
<tr class="separator:aee072f4f1993c7229ede78fd5e098623"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79717158d776e3d671ff3a44a79115ee"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a79717158d776e3d671ff3a44a79115ee">waitUntilPlaybackResumed</a> (const std::chrono::milliseconds timeout=std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>))</td></tr>
<tr class="separator:a79717158d776e3d671ff3a44a79115ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53ae38b6daae4b7b33d4eaa2c9931b4b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a53ae38b6daae4b7b33d4eaa2c9931b4b">waitUntilPlaybackStopped</a> (const std::chrono::milliseconds timeout=std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>))</td></tr>
<tr class="separator:a53ae38b6daae4b7b33d4eaa2c9931b4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ba9db67df42fef4b0de32cd3be96dab"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a9ba9db67df42fef4b0de32cd3be96dab">waitUntilPlaybackFinished</a> (const std::chrono::milliseconds timeout=std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>))</td></tr>
<tr class="separator:a9ba9db67df42fef4b0de32cd3be96dab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a0cdaa5a6ab89592313e8915ac7304b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a1a0cdaa5a6ab89592313e8915ac7304b">waitUntilPlaybackError</a> (const std::chrono::milliseconds timeout=std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>))</td></tr>
<tr class="separator:a1a0cdaa5a6ab89592313e8915ac7304b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49d61dc02cd81ad817bd0870f5c50ed4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a49d61dc02cd81ad817bd0870f5c50ed4">getCurrentSourceId</a> ()</td></tr>
<tr class="separator:a49d61dc02cd81ad817bd0870f5c50ed4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e7bdf6af5f667a45dfae57389e57141"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a49cb343e4d9446a335961bc4903a9269">observer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a8e7bdf6af5f667a45dfae57389e57141">getObserver</a> () const</td></tr>
<tr class="separator:a8e7bdf6af5f667a45dfae57389e57141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">MediaPlayerInterface overrides</div></td></tr>
<tr class="memitem:a7db63575a043d02cffbf0361e4e7c418"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a7db63575a043d02cffbf0361e4e7c418">setSource</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt; attachmentReader, const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> *audioFormat=nullptr)</td></tr>
<tr class="separator:a7db63575a043d02cffbf0361e4e7c418"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1def910eb3acfc4d693bc4acd77b782f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a1def910eb3acfc4d693bc4acd77b782f">setSource</a> (const std::string &amp;url, std::chrono::milliseconds offset=std::chrono::milliseconds::zero(), bool repeat=false)</td></tr>
<tr class="separator:a1def910eb3acfc4d693bc4acd77b782f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4d021df9f83f549e2857bf6f6c46304"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#ab4d021df9f83f549e2857bf6f6c46304">setSource</a> (std::shared_ptr&lt; std::istream &gt; stream, bool repeat)</td></tr>
<tr class="separator:ab4d021df9f83f549e2857bf6f6c46304"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdfebce7babb994c2aa46a7eb84096e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#acdfebce7babb994c2aa46a7eb84096e9">setObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a49cb343e4d9446a335961bc4903a9269">observer</a> &gt; playerObserver)</td></tr>
<tr class="separator:acdfebce7babb994c2aa46a7eb84096e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">RequiresShutdown overrides</div></td></tr>
<tr class="memitem:a9bfd9a52a1bd721c6d5c2614775a264a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a9bfd9a52a1bd721c6d5c2614775a264a">doShutdown</a> ()</td></tr>
<tr class="separator:a9bfd9a52a1bd721c6d5c2614775a264a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayerHelper</a></td></tr>
<tr class="memitem:a0883c5be69788395ab9aa043c7785778 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a0883c5be69788395ab9aa043c7785778">attachmentSetSource</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt; attachmentReader, const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> *audioFormat)=0</td></tr>
<tr class="separator:a0883c5be69788395ab9aa043c7785778 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808f75bba24a6d1e2c2e4c85f9ff9cce inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a808f75bba24a6d1e2c2e4c85f9ff9cce">streamSetSource</a> (std::shared_ptr&lt; std::istream &gt; stream, bool repeat)=0</td></tr>
<tr class="separator:a808f75bba24a6d1e2c2e4c85f9ff9cce inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6506368abc06f8baf918b8759c8f07b4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a6506368abc06f8baf918b8759c8f07b4">urlSetSource</a> (const std::string &amp;url)=0</td></tr>
<tr class="separator:a6506368abc06f8baf918b8759c8f07b4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td></tr>
<tr class="memitem:a6ea8410b0e942e263e7b534f88b30ee3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a6ea8410b0e942e263e7b534f88b30ee3">~MediaPlayerInterface</a> ()=default</td></tr>
<tr class="separator:a6ea8410b0e942e263e7b534f88b30ee3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bd648268d8afaf23312dad7e21238ad inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a2bd648268d8afaf23312dad7e21238ad">play</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> id)=0</td></tr>
<tr class="separator:a2bd648268d8afaf23312dad7e21238ad inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422503c5051d68fdab1485b74c0c33a1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a422503c5051d68fdab1485b74c0c33a1">stop</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> id)=0</td></tr>
<tr class="separator:a422503c5051d68fdab1485b74c0c33a1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7352a3ad1c63e92bf19455f3abdd0e76 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a7352a3ad1c63e92bf19455f3abdd0e76">pause</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> id)=0</td></tr>
<tr class="separator:a7352a3ad1c63e92bf19455f3abdd0e76 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bddbef99754845f428924d7b8883eb8 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a1bddbef99754845f428924d7b8883eb8">resume</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> id)=0</td></tr>
<tr class="separator:a1bddbef99754845f428924d7b8883eb8 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f1e46a268eebc25fb35f733752f3a72 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a9f1e46a268eebc25fb35f733752f3a72">getOffset</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a> id)=0</td></tr>
<tr class="separator:a9f1e46a268eebc25fb35f733752f3a72 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f356052a19748eb924ee39059dccf1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a77f356052a19748eb924ee39059dccf1">getNumBytesBuffered</a> ()=0</td></tr>
<tr class="separator:a77f356052a19748eb924ee39059dccf1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a612495025a57c1bab88e8be5f7c0bbf4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a612495025a57c1bab88e8be5f7c0bbf4">setObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface</a> &gt; playerObserver)=0</td></tr>
<tr class="separator:a612495025a57c1bab88e8be5f7c0bbf4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td></tr>
<tr class="memitem:aae7174ed932ae1413460255238c4422b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a> (const std::string &amp;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>)</td></tr>
<tr class="separator:aae7174ed932ae1413460255238c4422b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a> ()</td></tr>
<tr class="memdesc:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">More...</a><br /></td></tr>
<tr class="separator:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a745cd4dc404db52f7d0afbf838454fac inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a> () const</td></tr>
<tr class="separator:a745cd4dc404db52f7d0afbf838454fac inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350a147e52eb3ad3c1326e6639861066 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a> ()</td></tr>
<tr class="separator:a350a147e52eb3ad3c1326e6639861066 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9352626109735aba40b5fb310913355 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a> () const</td></tr>
<tr class="separator:af9352626109735aba40b5fb310913355 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ac357e2465307ba7b05c227b48175b4cc"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; testing::NiceMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#ac357e2465307ba7b05c227b48175b4cc">create</a> ()</td></tr>
<tr class="separator:ac357e2465307ba7b05c227b48175b4cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td></tr>
<tr class="memitem:a94e049f4cbbd174ef8e6c15387dd85ea inherit pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a94e049f4cbbd174ef8e6c15387dd85ea">ERROR</a> = 0</td></tr>
<tr class="memdesc:a94e049f4cbbd174ef8e6c15387dd85ea inherit pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">An <code>SourceId</code> used to represent an error from calls to <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#ad468c794443b52eb5ce37ed21f38d706">setSource()</a></code>.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a94e049f4cbbd174ef8e6c15387dd85ea">More...</a><br /></td></tr>
<tr class="separator:a94e049f4cbbd174ef8e6c15387dd85ea inherit pub_static_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A mock MediaPlayer for unit tests. </p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a49cb343e4d9446a335961bc4903a9269"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49cb343e4d9446a335961bc4903a9269">&#9670;&nbsp;</a></span>observer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a49cb343e4d9446a335961bc4903a9269">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::observer</a> =  <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abc4e4925fec3df76f56b00f83c666b7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc4e4925fec3df76f56b00f83c666b7a">&#9670;&nbsp;</a></span>MockMediaPlayer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MockMediaPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac357e2465307ba7b05c227b48175b4cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac357e2465307ba7b05c227b48175b4cc">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; NiceMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a> &gt; &gt; alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates an instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html" title="A mock MediaPlayer for unit tests. ">MockMediaPlayer</a></code>.</p>
<dl class="section return"><dt>Returns</dt><dd>An instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html" title="A mock MediaPlayer for unit tests. ">MockMediaPlayer</a></code>. </dd></dl>

</div>
</div>
<a id="a9bfd9a52a1bd721c6d5c2614775a264a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bfd9a52a1bd721c6d5c2614775a264a">&#9670;&nbsp;</a></span>doShutdown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::doShutdown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p></p>
<p class="">Prepares/enables this object to be deleted. This should be the last function called on this object prior to deleting (or resetting) its shared_ptr.</p>
<dl class="section warning"><dt>Warning</dt><dd><ul>
<li>Attempting to call functions on this object after calling <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown()</a> can result in undefined behavior. </li>
<li>Neglecting to call <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown()</a> on this object can result in resource leaks or other undefined behavior. </li>
</ul>
</dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a66df7916e28559f30233c2ff5a166293">alexaClientSDK::avsCommon::utils::RequiresShutdown</a>.</p>

</div>
</div>
<a id="a49d61dc02cd81ad817bd0870f5c50ed4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49d61dc02cd81ad817bd0870f5c50ed4">&#9670;&nbsp;</a></span>getCurrentSourceId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayerInterface::SourceId</a> alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::getCurrentSourceId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get the SourceId for the media <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html" title="A mock MediaPlayer for unit tests. ">MockMediaPlayer</a> is currently playing.</p>
<dl class="section return"><dt>Returns</dt><dd>The SourceId for the media <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html" title="A mock MediaPlayer for unit tests. ">MockMediaPlayer</a> is currently playing. </dd></dl>

</div>
</div>
<a id="a8e7bdf6af5f667a45dfae57389e57141"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e7bdf6af5f667a45dfae57389e57141">&#9670;&nbsp;</a></span>getObserver()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html">MediaPlayerObserverInterface</a> &gt; alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::getObserver </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get the current observer.</p>
<dl class="section return"><dt>Returns</dt><dd>The current observer, or nullptr if there are none. </dd></dl>

</div>
</div>
<a id="a580ffceda24466fa3cbdf2b7572fd1ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a580ffceda24466fa3cbdf2b7572fd1ef">&#9670;&nbsp;</a></span>MOCK_METHOD0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a77f356052a19748eb924ee39059dccf1">getNumBytesBuffered</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint64_t()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1548112fdea0460f63361befa53c8e46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1548112fdea0460f63361befa53c8e46">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[1/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a2bd648268d8afaf23312dad7e21238ad">play</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0fc89952e729d0aecbfd31dcaed85236"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fc89952e729d0aecbfd31dcaed85236">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[2/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a7352a3ad1c63e92bf19455f3abdd0e76">pause</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abc92436eb56d1e560220676e1b958a91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc92436eb56d1e560220676e1b958a91">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[3/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a1bddbef99754845f428924d7b8883eb8">resume</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6632c89647978d07e9ea8834bffd0484"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6632c89647978d07e9ea8834bffd0484">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[4/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a422503c5051d68fdab1485b74c0c33a1">stop</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2843af4977f67bd2bbd5d4a885d81aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2843af4977f67bd2bbd5d4a885d81aa">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[5/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a9f1e46a268eebc25fb35f733752f3a72">getOffset</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds(<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a336dd3038b9992528401d66bbc8bccbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a336dd3038b9992528401d66bbc8bccbb">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[6/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a6506368abc06f8baf918b8759c8f07b4">urlSetSource</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>(const std::string &amp;url)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77f08bceb886954a4f2b1ded5dee68ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77f08bceb886954a4f2b1ded5dee68ee">&#9670;&nbsp;</a></span>MOCK_METHOD2() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD2 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a0883c5be69788395ab9aa043c7785778">attachmentSetSource</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>(std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt; attachmentReader, const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> *audioFormat)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5823968a93b1f9dd7b98f48ceb993bea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5823968a93b1f9dd7b98f48ceb993bea">&#9670;&nbsp;</a></span>MOCK_METHOD2() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::MOCK_METHOD2 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player_helper.html#a808f75bba24a6d1e2c2e4c85f9ff9cce">streamSetSource</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>(std::shared_ptr&lt; std::istream &gt; stream, bool repeat)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3300c1c4ef923a06a4feca082e63da72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3300c1c4ef923a06a4feca082e63da72">&#9670;&nbsp;</a></span>mockError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td>
          <td class="paramname"><em>sourceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which will send the <code>onPlaybackError()</code> notification to the observer.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

</div>
</div>
<a id="a8f4ca7b6b514acb1e5118e585b72bb87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f4ca7b6b514acb1e5118e585b72bb87">&#9670;&nbsp;</a></span>mockFinished()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockFinished </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td>
          <td class="paramname"><em>sourceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which will send the <code>onPlaybackFinished()</code> notification to the observer.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

</div>
</div>
<a id="a7f66b968d775a7c65e35422ba3413069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f66b968d775a7c65e35422ba3413069">&#9670;&nbsp;</a></span>mockGetOffset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockGetOffset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which validates the id in a <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a9f1e46a268eebc25fb35f733752f3a72">getOffset()</a></code> call. </p>

</div>
</div>
<a id="ad682f885f38461578dc7a1c409926fd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad682f885f38461578dc7a1c409926fd1">&#9670;&nbsp;</a></span>mockPause()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockPause </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td>
          <td class="paramname"><em>sourceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which will send the <code>onPlaybackPaused()</code> notification to the observer.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

</div>
</div>
<a id="a8150135688f5f337b0f6418d96595a09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8150135688f5f337b0f6418d96595a09">&#9670;&nbsp;</a></span>mockPlay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockPlay </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td>
          <td class="paramname"><em>sourceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which will send the <code>onPlaybackStarted()</code> notification to the observer.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

</div>
</div>
<a id="a2ba5b7d740fea4f3e85b26efb191d401"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ba5b7d740fea4f3e85b26efb191d401">&#9670;&nbsp;</a></span>mockResume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockResume </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td>
          <td class="paramname"><em>sourceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which will send the <code>onPlaybackResumed()</code> notification to the observer.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

</div>
</div>
<a id="ad46159e8996739708d52c186cb12a202"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad46159e8996739708d52c186cb12a202">&#9670;&nbsp;</a></span>mockSetOffset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockSetOffset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td>
          <td class="paramname"><em>sourceId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>offset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which validates <code>sourceId</code> and if valid, sets the offset. </p>

</div>
</div>
<a id="acf4f99e55720abdf0421b14b629c1003"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf4f99e55720abdf0421b14b629c1003">&#9670;&nbsp;</a></span>mockSetSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayerInterface::SourceId</a> alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockSetSource </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which will generate a new SourceId.</p>
<dl class="section return"><dt>Returns</dt><dd><code>SUCCESS</code>. </dd></dl>

</div>
</div>
<a id="a8801ab7e8733aac78f597949a8c65c09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8801ab7e8733aac78f597949a8c65c09">&#9670;&nbsp;</a></span>mockStop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::mockStop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">SourceId</a>&#160;</td>
          <td class="paramname"><em>sourceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This is a mock method which will send the <code>onPlaybackStopped()</code> notification to the observer.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the operation was successful. </dd></dl>

</div>
</div>
<a id="acdfebce7babb994c2aa46a7eb84096e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdfebce7babb994c2aa46a7eb84096e9">&#9670;&nbsp;</a></span>setObserver()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::setObserver </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a49cb343e4d9446a335961bc4903a9269">observer</a> &gt;&#160;</td>
          <td class="paramname"><em>playerObserver</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7db63575a043d02cffbf0361e4e7c418"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7db63575a043d02cffbf0361e4e7c418">&#9670;&nbsp;</a></span>setSource() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayerInterface::SourceId</a> alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::setSource </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt;&#160;</td>
          <td class="paramname"><em>attachmentReader</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> *&#160;</td>
          <td class="paramname"><em>format</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set an <code>AttachmentReader</code> source to play. The source should be set before making calls to any of the playback control APIs. If any source was set prior to this call, that source will be discarded.</p>
<dl class="section note"><dt>Note</dt><dd>A <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">MediaPlayerInterface</a></code> implementation must handle only one source at a time. An implementation must call <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html#ab494787a945bd49bbd2299edd8eb5e64">MediaPlayerObserverInterface::onPlaybackStopped()</a></code> with the previous source's id if there was a source set.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">attachmentReader</td><td>Object with which to read an incoming audio attachment. </td></tr>
    <tr><td class="paramname">format</td><td>The audioFormat to be used to interpret raw audio data. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>SourceId</code> that represents the source being handled as a result of this call. <code>ERROR</code> will be returned if the source failed to be set. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#ad468c794443b52eb5ce37ed21f38d706">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a>.</p>

</div>
</div>
<a id="a1def910eb3acfc4d693bc4acd77b782f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1def910eb3acfc4d693bc4acd77b782f">&#9670;&nbsp;</a></span>setSource() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayerInterface::SourceId</a> alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::setSource </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>offset</em> = <code>std::chrono::milliseconds::zero()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>repeat</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set a url source to play. The source should be set before making calls to any of the playback control APIs. If any source was set prior to this call, that source will be discarded.</p>
<dl class="section note"><dt>Note</dt><dd>A <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">MediaPlayerInterface</a></code> implementation must handle only one source at a time. An implementation must call <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html#ab494787a945bd49bbd2299edd8eb5e64">MediaPlayerObserverInterface::onPlaybackStopped()</a></code> with the previous source's id if there was a source set.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">url</td><td>The url to set as the source. </td></tr>
    <tr><td class="paramname">offset</td><td>An optional offset parameter to start playing from when a <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a2bd648268d8afaf23312dad7e21238ad">play()</a></code> call is made. </td></tr>
    <tr><td class="paramname">repeat</td><td>An optional parameter to play the url source in a loop.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>SourceId</code> that represents the source being handled as a result of this call. <code>ERROR</code> will be returned if the source failed to be set. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#af69e59d203551392f1b4811287d245d2">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a>.</p>

<p>Reimplemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_test_media_player.html#a607b6c69b69e8114d677ef89b7454e2c">alexaClientSDK::capabilityAgents::alerts::renderer::test::TestMediaPlayer</a>.</p>

</div>
</div>
<a id="ab4d021df9f83f549e2857bf6f6c46304"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4d021df9f83f549e2857bf6f6c46304">&#9670;&nbsp;</a></span>setSource() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayerInterface::SourceId</a> alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::setSource </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; std::istream &gt;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>repeat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set an <code>istream</code> source to play. The source should be set before making calls to any of the playback control APIs. If any source was set prior to this call, that source will be discarded.</p>
<dl class="section note"><dt>Note</dt><dd>A <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">MediaPlayerInterface</a></code> implementation must handle only one source at a time. An implementation must call <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html#ab494787a945bd49bbd2299edd8eb5e64">MediaPlayerObserverInterface::onPlaybackStopped()</a></code> with the previous source's id if there was a source set.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>Object from which to read an incoming audio stream. </td></tr>
    <tr><td class="paramname">repeat</td><td>Whether the audio stream should be played in a loop until stopped.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>SourceId</code> that represents the source being handled as a result of this call. <code>ERROR</code> will be returned if the source failed to be set. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#ad4d8ade64d85d3de92aebd209af8c037">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a>.</p>

<p>Reimplemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_test_media_player.html#a0d5e17764b2b4e3986d34e57155fb87c">alexaClientSDK::capabilityAgents::alerts::renderer::test::TestMediaPlayer</a>.</p>

</div>
</div>
<a id="aa1c6c12f07f7fcb6611a83b95aa97638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1c6c12f07f7fcb6611a83b95aa97638">&#9670;&nbsp;</a></span>waitUntilNextSetSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::waitUntilNextSetSource </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Waits for the next call to <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test_1_1_mock_media_player.html#a7db63575a043d02cffbf0361e4e7c418">setSource()</a></code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The maximum time to wait. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if setSource was called within <code>timeout</code> milliseconds else <code>false</code>. </dd></dl>

</div>
</div>
<a id="a1a0cdaa5a6ab89592313e8915ac7304b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a0cdaa5a6ab89592313e8915ac7304b">&#9670;&nbsp;</a></span>waitUntilPlaybackError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::waitUntilPlaybackError </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Waits for the current source to reach the playback error state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The maximum time to wait. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the state was reached within <code>timeout</code> milliseconds else <code>false</code>. </dd></dl>

</div>
</div>
<a id="a9ba9db67df42fef4b0de32cd3be96dab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ba9db67df42fef4b0de32cd3be96dab">&#9670;&nbsp;</a></span>waitUntilPlaybackFinished()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::waitUntilPlaybackFinished </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Waits for the current source to reach the playback finished state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The maximum time to wait. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the state was reached within <code>timeout</code> milliseconds else <code>false</code>. </dd></dl>

</div>
</div>
<a id="aee072f4f1993c7229ede78fd5e098623"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee072f4f1993c7229ede78fd5e098623">&#9670;&nbsp;</a></span>waitUntilPlaybackPaused()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::waitUntilPlaybackPaused </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Waits for the current source to reach the playback paused state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The maximum time to wait. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the state was reached within <code>timeout</code> milliseconds else <code>false</code>. </dd></dl>

</div>
</div>
<a id="a79717158d776e3d671ff3a44a79115ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79717158d776e3d671ff3a44a79115ee">&#9670;&nbsp;</a></span>waitUntilPlaybackResumed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::waitUntilPlaybackResumed </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Waits for the current source to reach the playback resumed state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The maximum time to wait. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the state was reached within <code>timeout</code> milliseconds else <code>false</code>. </dd></dl>

</div>
</div>
<a id="a49cd1b220e711fcccea670d680fedfab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49cd1b220e711fcccea670d680fedfab">&#9670;&nbsp;</a></span>waitUntilPlaybackStarted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::waitUntilPlaybackStarted </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Waits for the current source to reach the playback started state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The maximum time to wait. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the state was reached within <code>timeout</code> milliseconds else <code>false</code>. </dd></dl>

</div>
</div>
<a id="a53ae38b6daae4b7b33d4eaa2c9931b4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53ae38b6daae4b7b33d4eaa2c9931b4b">&#9670;&nbsp;</a></span>waitUntilPlaybackStopped()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::mediaPlayer::test::MockMediaPlayer::waitUntilPlaybackStopped </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1test.html#afd2ca8198d2fae74648a2ff128c3bdfe">DEFAULT_TIME</a>)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Waits for the current source to reach the playback stopped state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The maximum time to wait. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the state was reached within <code>timeout</code> milliseconds else <code>false</code>. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/test/AVSCommon/Utils/MediaPlayer/<a class="el" href="_mock_media_player_8h_source.html">MockMediaPlayer.h</a></li>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/test/Common/<a class="el" href="_mock_media_player_8cpp.html">MockMediaPlayer.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
